import { Resource, ResourceProps } from 'aws-cdk-lib';
import { ICluster, KubernetesManifest, ServiceAccount } from 'aws-cdk-lib/aws-eks';
import { Construct } from 'constructs';
export interface CloudWatchMonitoringProps extends ResourceProps {
    readonly cluster: ICluster;
}
export declare class CloudWatchMonitoring extends Resource {
    readonly cluster: ICluster;
    readonly resource: KubernetesManifest;
    readonly serviceAccount: ServiceAccount;
    constructor(scope: Construct, id: string, props: CloudWatchMonitoringProps);
}
